%define         major           0
%define         libname         %mklibname ofa %{major}
%define         develname       %mklibname ofa -d
%define         staticdevelname %mklibname ofa -d -s

Summary:        Open Fingerprint Architecture library
Name:           libofa
Version:        0.9.3
Release:        %mkrel 15
License:        GPLv2
Group:          System/Libraries
URL:            http://code.google.com/p/musicip-libofa/
Source0:        http://musicip-libofa.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         libofa-build-fix.patch
Patch1:         libofa-gcc43.diff
Patch2:         libofa-0.9.3-pkgconfig-drop-expat.patch
#fix missing curl/types.h (from OpenSuse)
Patch3:         libofa-curl-types.patch
BuildRequires:  fftw3-devel
BuildRequires:  libcurl-devel
BuildRequires:  libexpat-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{summary}



%package -n     %{libname}
Summary:        Open Fingerprint Architecture library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
A client library that looks up and identifies audio files based on
existing fingerprints, created and provided by MusicIP.



%package -n     %{develname}
Summary:        Files needed for developing applications which use litunepimp
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
###Obsoletes:   #mklibname ofa 0 -d < 0.9.0

%description -n %{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing libofa enabled tagging applications. If you
are going to develop libofa enabled tagging applications you should
install %{name}-devel. You'll also need to have the %{name} package
installed.



%package -n     %{staticdevelname}
Summary:        Static libraries for libtunepimp
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{develname} = %{version}-%{release}
###Obsoletes:   #mklibname ofa 0 -d -s

%description -n %{staticdevelname}
The %{name}-devel package includes the static libraries necessary for
developing libofa enabled tagging applications using the %{name}
library. If you are going to develop libofa enabled tagging
applications, you should install %{name}-devel.  You'll also need to
have the %{name} package installed.



%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0


%build
%configure2_5x
%make


%install
rm -rf %{buildroot}


%makeinstall_std
find %{buildroot}%{_libdir} -name *.la -delete


%clean
rm -rf %{buildroot}



%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/*.so.%{major}*


%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/libofa.pc
%{_libdir}/*.a
%{_libdir}/*.so


%files -n %{staticdevelname}
%defattr(-,root,root)





%changelog

* Sat Dec 10 2011 eatdirt <eatdirt> 0.9.3-15.mga2
+ Revision: 180356
- Rebuilt for fftw-3.3
  New patch to fix compilation failure due to missing curl/types.h

* Wed Jan 19 2011 ahmad <ahmad> 0.9.3-14.mga1
+ Revision: 24981
- drop old/unneeded scriptlets
- imported package libofa

